Bug 183174 - mkbootdisk Targeted Architecture Not Supported
mkbootdisk Targeted Architecture Not Supported
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkbootdisk (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 00:06 EST by Joseph D. Wagner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 05:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph D. Wagner 2006-02-27 00:06:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1831_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
When attempting to specify a target architecture higher than i386 (i.e. i486, 
i586, etc), rpmbuild returns an error saying that the architecture is not 
included. 
 
I see no reason the architecture would not be supported.  Even noarch packages 
will build with a target architecture specified; the option simply has no 
effect on them. 

Version-Release number of selected component (if applicable):
mkbootdisk-1.5.2-5.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the command "rpmbuild --rebuild --target=foobar" where foobar 
is any x86 compatible 32-bit architecture higher than i386 (i.e. i486, i586, 
etc). 

Actual Results:  "error: Architecture is not included: i686" 

Expected Results:  The package should have built properly. 

Additional info:
Comment 1 Peter Vrabec 2006-03-07 05:27:15 EST
As this package is pure shell script I changed architecture to noarch.
mkbootdisk-1.5.2-6

Note You need to log in before you can comment on or make changes to this bug.